part of numkeyboard;

class KeyboardBiding extends WidgetsFlutterBinding {
  KeyboardBinaryMessenger _binaryMessenger;

  static WidgetsBinding ensureInitialized() {
    if (WidgetsBinding.instance == null) {
      KeyboardBiding();
    }
    return WidgetsBinding.instance;
  }

  @override
  void initInstances() {
    super.initInstances();
    _binaryMessenger = KeyboardBinaryMessenger(super.defaultBinaryMessenger);
  }

  @override
  BinaryMessenger get defaultBinaryMessenger {
    return _binaryMessenger != null
        ? _binaryMessenger
        : super.defaultBinaryMessenger;
  }
}

runKeyboardApp(Widget app) {
  KeyboardBiding.ensureInitialized()
    ..scheduleAttachRootWidget(app)
    ..scheduleWarmUpFrame();
}
